org.eclipse.incquery.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.EMFPatternModelElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.incquery.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.EMFPatternModelElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.EMFPatternModelElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternModelElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Group` | `getGroup_1()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getImportPackagesAssignment_2()`
    `org.eclipse.xtext.RuleCall` | `getImportPackagesXImportSectionParserRuleCall_2_0()`
    `org.eclipse.xtext.Keyword` | `getPackageKeyword_1_0()`
    `org.eclipse.xtext.Assignment` | `getPackageNameAssignment_1_1()`
    `org.eclipse.xtext.RuleCall` | `getPackageNameQualifiedNameParserRuleCall_1_1_0()`
    `org.eclipse.xtext.Action` | `getPatternModelAction_0()`
    `org.eclipse.xtext.Assignment` | `getPatternsAssignment_3()`
    `org.eclipse.xtext.RuleCall` | `getPatternsPatternParserRuleCall_3_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Keyword` | `getSemicolonKeyword_1_2()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternModelElements

          public EMFPatternModelElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getPatternModelAction_0

          public org.eclipse.xtext.Action getPatternModelAction_0()

    - #### getGroup_1

          public org.eclipse.xtext.Group getGroup_1()

    - #### getPackageKeyword_1_0

          public org.eclipse.xtext.Keyword getPackageKeyword_1_0()

    - #### getPackageNameAssignment_1_1

          public org.eclipse.xtext.Assignment getPackageNameAssignment_1_1()

    - #### getPackageNameQualifiedNameParserRuleCall_1_1_0

          public org.eclipse.xtext.RuleCall getPackageNameQualifiedNameParserRuleCall_1_1_0()

    - #### getSemicolonKeyword_1_2

          public org.eclipse.xtext.Keyword getSemicolonKeyword_1_2()

    - #### getImportPackagesAssignment_2

          public org.eclipse.xtext.Assignment getImportPackagesAssignment_2()

    - #### getImportPackagesXImportSectionParserRuleCall_2_0

          public org.eclipse.xtext.RuleCall getImportPackagesXImportSectionParserRuleCall_2_0()

    - #### getPatternsAssignment_3

          public org.eclipse.xtext.Assignment getPatternsAssignment_3()

    - #### getPatternsPatternParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getPatternsPatternParserRuleCall_3_0()